TAAS - Feature #231

Supplier Service Wise SOA
07/09/2023 03:48 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/25/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Service Wise SOA

Description

Coding

History

#1 - 08/07/2023 06:13 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

Solution:-

e Check

#224(Customer Document Wise SOA -> Remove SUM and grouping part in data sql)

#2 - 08/18/2023 10:33 AM - Anil KV

Solutions:-

1) GUI Changes

Main Ledger* - Not mandatory - Check ledger stmt

2)Check and Discus with Athul P

—#224 (Customer Document Wise SOA —-> Remove SUM and grouping part in data sqgl)

-#225 Customer Item Wise SOA
—#226 Customer Service Wise SOA

#3 - 08/18/2023 12:49 PM - Anil KV

- Assignee changed from travvise Admin to Amal Siby

#4 - 09/25/2023 11:07 AM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 09/26/2023 03:11 PM - Amal Siby
- Start date changed from 07/09/2023 to 09/25/2023

#6 - 10/07/2023 11:02 AM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 10/18/2023 06:11 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S
ISSUE FOUNDED

1.NOT SHOWING DATAS FROM ISSUES

2.NO VALIDATION FOR STATUS

3.CORRECT LABELS IN GRIDS

4.REMOVE UNDER SCORES FROM SUMMARY DETAILS

#8 - 10/28/2023 03:16 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.DONT SHOW SL NO.IN PRINT

#9 - 10/28/2023 06:09 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed.

#10 - 01/11/2024 11:31 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGE

FIXED - 1) Add New Tab "Details Summary"
Iltems same as summary tab. replace Current Dr, Cr with Ticket, Hotel, Transfer, Visa, Other Service, Other Docs.
Connect Show Matched Net Difference After OB. Ref: Ledger Statement

FIXED -  2)Include Act as Mainledgers in Mainledger Multiselectbox
- Own

- Act as Customer

- Act as Supplier

- Act as Comn Agent

#11 - 01/19/2024 07:18 PM - Junaid M

- Assignee changed from Amal Siby to Baseem Shan

#12 - 02/08/2024 04:08 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 02/09/2024 04:08 PM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR FROM ADMIN SETTINGS WHILE CHANGING TRANSACTION DATE TO MATCHED DATE FOR MATCHING SELECTION
42601: syntax error at or near "GROUP"

2.NOT WORKING CONSIDER MATCHING DONE AFTER TO DATE OPTION
3.MISS CALCULATION IN SUPPLIER OTHER DOCS AFTER MATCHING

#14 - 02/09/2024 04:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#15 - 03/05/2024 01:11 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#16 - 03/06/2024 11:27 AM - unnikannan S
TESTING DONE

#17 - 03/06/2024 11:28 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.NOT WORKING ERASE OPTION IN GRID TOOLBAR
FIXED - 2.MISSING AMOUNT OF NOT APPROVED DOC IN SUMMARY LIST

#18 - 03/07/2024 09:44 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 03/07/2024 10:24 AM - unnikannan S
TESTING DONE

#20 - 03/07/2024 10:26 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING AMOUNT THOSE DOC STATUS WHERE CHOOSEN AS ACTIVE VIA APPROVAL FROM CREATED MODULE

#21 - 03/11/2024 07:20 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 08/29/2024 02:59 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#23 - 08/29/2024 06:09 PM - Avinash MS
- Status changed from New Changes to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 09/25/2024 03:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#25 - 11/05/2024 01:05 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND
1. Document not reloading to payment and receipt modules

#26 - 11/07/2024 10:24 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 11/19/2024 05:47 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#28 - 11/29/2024 06:20 PM - Arathy PS
NEW CHANGES

1. Add a new tab for package vouchers.

#29 - 12/02/2024 01:49 PM - Anil KV
- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- Assignee changed from Baseem Shan to Amal Ck

- % Done changed from 90 to 50

#30 - 12/03/2024 11:54 AM - Amal Ck
- Status changed from Reopen Bugs to New Changes

#31 - 12/05/2024 04:47 PM - Theja Ponon
New Change

1)add redirection for ticket/voucher number and document number

#32 - 12/09/2024 10:11 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#33 - 01/14/2025 11:21 AM - Theja Ponon
- File clipboard-202501141121-igrgu.png added

ISSUE FOUND

(Issue from sale save)1)Voucher number is not showing in hotel tab

Travvise Supplier Service Wise SOA

[RAVEL SOLUTION PVT LTD

Transaction Date” 4/01/2025 14/01/2025 Branch®  hizin - Matched Outstanding
Consider Matching Done After To Date
Supplier” | SUPODT | BSP Supplie Currency” QAR N t

¥ ¥y

Summary  Details Summary Ticket Hotel Transfer Visa Other Package Other Docs
T Q 2 O
# Issue Date Voucher No HYtel Sup Conf No Guest No Of Roo... | No Of Nig... = Check In And Out Debit
1 14/01/2025 9Ly A-One Boutique H... asdd 0 0 16/01/2025 - 16/01/2025 0.00
Total 0.00

#34 - 01/14/2025 11:22 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#35 - 01/14/2025 02:29 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#36 - 01/16/2025 06:00 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(NOT A BUG-> the issue date is the transaction date in supplier pov)1. Data not showing in the after to date row when we have a document that is
after to date.

#37 - 01/17/2025 03:03 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 01/20/2025 06:19 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Changes—--in ageing tab

—> Custom(Ageing Periods)*B -> Tittle - like Admin settings
—-> Top Label table

- Left

*'Total A/P' (Supplier SOA)

* Due Amount

* Not Due (Total A/R - Due Amount)
* Bill Submission

* Credit Limit

* Payment Terms

* Grace Days

Right

Last Bill Period

Last Payment Date

Last Due Date

Last Over Due Days

Last Bill Due

* ok ok ok |

2. Enable the two fields 'Show Matched Net Difference After OB' and 'Show Opening Balance'

#39 - 02/22/2025 03:54 PM - Arathy PS

- Assignee changed from Amal Ck to Augustin Jose

#40 - 02/26/2025 03:52 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. No main ledger is loading.
2. In the main ledger the items loading should be of type main ledger.

#41 - 03/03/2025 02:27 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
